"""
This file contains generic parser list for hotel filter and airline filter
"""
from __future__ import absolute_import

from lola.itinerary_parsing.parsers.email_parsers.airlines import AirlineFilter
from lola.itinerary_parsing.parsers.email_parsers.hotels import HotelFilter
from lola.itinerary_parsing.parsers.email_parsers import travel_filter


class GenericAirlineFilter(AirlineFilter):
    pass


@travel_filter(source='Marriott', sender='reservations@marriott-res.com', subject=['Reservation Confirmation'])
@travel_filter(source='Marriott', sender='reservations@courtyard-res.com', subject=['Reservation Confirmation'])
@travel_filter(source='Marriott', sender='leandra@lolatravel.com', subject=['Fwd: Reservation Confirmation #88454846 for Courtyard Boston Cambridge'])
class GenericHotelFilter(HotelFilter):
    pass
