import re

PATTERN_RECORD_LOCATOR = re.compile(r"""(?x)
                              (?:   # Should not be part of matched pattern
                              \#\s* # Starts with '#' followed by a space repeats zero or more
                              )
                              (
                              \s*\w+ # Followed by a space repeats zero or more and followed
                                     # by alphanumeric characters repeats 1 or more times
                              )
                              """)