from dateutil.parser import parse


class BaseValidator(object):
    def is_valid_date(self, date_str):
        if not date_str:
            return False
        try:
            value = parse(date_str)
            return True
        except ValueError:
            return False

    def contains_valid_list_value(self, parent_dict, _key):
        value = parent_dict.get(_key)
        if value and isinstance(value, list):
            return True
        return False

