import requests

from lola.itinerary_parsing.gmail.gmail import Gmail


def login(username, password):
    gmail = Gmail()
    gmail.login(username, password)
    return gmail


def authenticate(username, access_token):
    gmail = Gmail()
    gmail.authenticate(username, access_token)
    return gmail


def get_email_from_token(access_token):
    resp = requests.get('https://www.googleapis.com/oauth2/v1/userinfo',
                        headers={'Authorization': 'Bearer %s' % access_token})
    resp_data = resp.json()
    return resp_data.get('email', '')
